{% extends 'base.html.twig' %}

{% block title %}Inscription{% endblock %}

{% block body %}
    {#<h1>Inscription</h1>#}
    {{ form_start(registrationForm) }}
<div style="display: flex; align-items: center; justify-content: center">
    <div class="card card-warning" style="width: 500px">
        <!-- /.card-header -->
        <div class="card-body">
            <div class="row">
                <div class="col-sm-6">
                    <!-- text input -->
                    <div class="form-group">
                        <label>Login</label>
                        {{ form_widget(registrationForm.login, {'attr': { 'class' : 'form-control' }} ) }}
                    </div>
                </div>
                <div class="col-sm-6">
                    <!-- text input -->
                    <div class="form-group">
                        <label>Password</label>
                        {{ form_widget(registrationForm.plainPassword, {'attr': { 'class' : 'form-control' }} ) }}
                    </div>
                </div>
            </div>
                {% if (is_granted('ROLE_ADMIN')) %}
                    <div class="card-body">
                        <div class="row">
                            <div class="col-sm-6">
                                <!-- text input -->
                                <div class="form-group">
                                    <label>Roles</label>
                                    {{ form_widget(registrationForm.roles, {'attr': { 'class' : 'form-control'}}) }}
                                </div>
                            </div>
                        </div>
                    </div>
                {% else %}
                    <div class="card-body">
                        <div class="row">
                            <div class="col-sm-6">
                                <!-- text input -->
                                <div class="form-group">
                                    <label>Roles</label>
                                    {{ form_widget(registrationForm.roles, {'attr': { 'class' : 'form-control'}, 'disabled' : true} ) }}
                                </div>
                            </div>
                        </div>
                    </div>
                {% endif %}

        {{ form_row(registrationForm.agreeTerms) }}

        <button class="btn btn-primary btn-block" style="/*padding: 3px;*/ background-color: #343a40;
                border-color: #343a40;">S'inscrire</button>
        </div>
    </div>
</div>
    {{ form_end(registrationForm) }}
{% endblock %}